A table's checks
curl --request GET \
--url https://api.example.com/api/dq/tables/{table}/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/dq/tables/{table}/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/dq/tables/{table}/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/dq/tables/{table}/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/dq/tables/{table}/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/dq/tables/{table}/overview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/dq/tables/{table}/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"table": "<string>",
"rules": [
{
"rule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rule_name": "<string>",
"rule_description": "<string>",
"sql": "<string>",
"accepted": true,
"table": "<string>",
"external_id": "<string>",
"spark_sql": "<string>",
"success_value": "<string>",
"created_by": "<string>",
"approved_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"is_created": false
},
"last_status": "not_run",
"last_value": "<string>",
"last_error": "<string>",
"last_run_at": "<string>",
"last_run_id": "<string>",
"tags": [
"<string>"
]
}
],
"suggestions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rule_name": "<string>",
"rule_description": "<string>",
"sql": "<string>",
"accepted": true,
"table": "<string>",
"external_id": "<string>",
"spark_sql": "<string>",
"success_value": "<string>",
"created_by": "<string>",
"approved_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"is_created": false
}
],
"last_run": {
"id": "<string>",
"table": "<string>",
"scope": "table",
"trigger": "<string>",
"started_by": "<string>",
"started_at": "<string>",
"total": 123,
"passed": 123,
"failed": 123,
"errored": 123,
"finished_at": "<string>"
},
"schedule": {
"id": "<string>",
"table": "<string>",
"cron": "<string>",
"timezone": "<string>",
"enabled": true,
"owner_id": "<string>",
"next_run_at": "<string>",
"last_run_at": "<string>",
"last_run_id": "<string>",
"last_error": "",
"can_edit": false,
"can_disable": false
},
"is_admin": false
}{
"error": "<string>",
"code": 500
}Quality
A table's checks
Rules with their last results, open suggestions, last run and schedule.
GET
/
api
/
dq
/
tables
/
{table}
/
overview
A table's checks
curl --request GET \
--url https://api.example.com/api/dq/tables/{table}/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/dq/tables/{table}/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/dq/tables/{table}/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/dq/tables/{table}/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/dq/tables/{table}/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/dq/tables/{table}/overview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/dq/tables/{table}/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"table": "<string>",
"rules": [
{
"rule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rule_name": "<string>",
"rule_description": "<string>",
"sql": "<string>",
"accepted": true,
"table": "<string>",
"external_id": "<string>",
"spark_sql": "<string>",
"success_value": "<string>",
"created_by": "<string>",
"approved_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"is_created": false
},
"last_status": "not_run",
"last_value": "<string>",
"last_error": "<string>",
"last_run_at": "<string>",
"last_run_id": "<string>",
"tags": [
"<string>"
]
}
],
"suggestions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rule_name": "<string>",
"rule_description": "<string>",
"sql": "<string>",
"accepted": true,
"table": "<string>",
"external_id": "<string>",
"spark_sql": "<string>",
"success_value": "<string>",
"created_by": "<string>",
"approved_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"is_created": false
}
],
"last_run": {
"id": "<string>",
"table": "<string>",
"scope": "table",
"trigger": "<string>",
"started_by": "<string>",
"started_at": "<string>",
"total": 123,
"passed": 123,
"failed": 123,
"errored": 123,
"finished_at": "<string>"
},
"schedule": {
"id": "<string>",
"table": "<string>",
"cron": "<string>",
"timezone": "<string>",
"enabled": true,
"owner_id": "<string>",
"next_run_at": "<string>",
"last_run_at": "<string>",
"last_run_id": "<string>",
"last_error": "",
"can_edit": false,
"can_disable": false
},
"is_admin": false
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The table, as catalog.schema.table.
Response
Successful Response
Everything a table's quality page shows.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A run, without its per-rule results.
Show child attributes
Show child attributes
When a table's checks run on their own.
Show child attributes
Show child attributes
Was this page helpful?

